// Document shared state
export default{
  panzoom: { x: 0, y: 0, zoom: 1 },
  defaults: { nodeHeight: 100 },
  registry: {
    'MatMul': { inputs: [ '[]float32', '[]float32' ], output: '[]float32' },
    'Weights': { inputs: [], output: '[]float32' },
    'Input': { inputs: [], output: '[]float32' },
    'Activator': { inputs: [ '[]float32' ], output: '[]float32', type: 'circle' },
    'R': { inputs: [ '[]float32', '[]float32' ], output: 'string ' }
  },
  nodes: [
    { id: '1', x: 976, y: 163, label: 'Test input random', src: 'R' },
    { id: '2', x: 702, y: 190, label: 'Sigmoid', src: 'Activator' },
    { id: '3', x: 541, y: 195, label: 'MatMul', src: 'MatMul' },
    { id: '4', x: 320, y: 249, label: 'Input', src: 'Input' },
    { id: '5', x: 347, y: 90, label: 'Weights', src: 'Weights' }
  ],
  links: [
    { from: '4', to: '3', in: 1 },
    { from: '5', to: '3', in: 0 },
    { from: '3', to: '2', in: 0 },
    { from: '2', to: '1', in: 0 }
  ]
}
